{% extends "base.html" %}
{% block title %}DDRMC{% endblock %}
{% block content %}

<h2>DDRMC report</h2>

{% for name, data in ddrmc_data.items() %}

<h3>{{name}}</h3>

{% if not data["errors"] %}
<div class="alert alert-success">{{data["status"]}}</div>
{% else %}
<div class="alert alert-danger">
  <p>{{data["status"]}}</p>
  <p>{{data["error_msg"]}}</p>
</div>
{% endif %}


<div>
  <a class="btn btn-primary" data-bs-toggle="collapse" href="#collapseExample" role="button" aria-expanded="false" aria-controls="collapseExample">
    Show full report
  </a>
</div>
<div class="collapse" id="collapseExample">
  <div class="card card-body">
    <pre>{{data["report"]}}</pre>
  </div>
</div>


{% if "margins" in data %}

{% for name, margin_data in data["margins"].items() %}

{% for edge in margin_data["edges"] %}

{% set items = margin_data[edge] %}
{% set note = "rising edge" if edge == "rise" else "falling edge" if edge == "fall" else "" %}

<div class="container py-4 px-0">
  <h4>{{margin_data["comment"]}} {{note}}</h4>

{% for item_name in items|sort %}
{% set item_data = items[item_name] %}
{% set plot_bar = item_data["plot_bar"] %}
<div class="row">
  <div style="width:120px;text-align:right;">{{ item_name }}</div>
  <div class="col">
    <div class="progress">
      <div class="progress-bar bg-danger" role="progressbar" style="width:{{"{:.1f}".format(plot_bar["left_edge"])}}%"></div>
      <div class="progress-bar bg-success" role="progressbar" style="width:{{"{:.1f}".format(plot_bar["left_margin"])}}%">
        {{ item_data["left"][1] }} ps
      </div>
      <div class="progress-bar bg-warning" role="progressbar" style="width:{{"{:.1f}".format(plot_bar["tap_width"])}}%"></div>
      <div class="progress-bar bg-success" role="progressbar" style="width:{{"{:.1f}".format(plot_bar["right_margin"])}}%">
        {{ item_data["right"][1] }} ps
      </div>
      <div class="progress-bar bg-danger" role="progressbar" style="width:{{"{:.1f}".format(plot_bar["right_edge"])}}%"></div>
    </div>   
  </div>
</div>
{% endfor %}
</div>

{% endfor%}

{% endfor%}


{% endif %}

{% endfor %}

{% endblock %}
